Bug 438964 - F9 Beta release announcement: Trying to install K3B fails
F9 Beta release announcement: Trying to install K3B fails
Status: CLOSED DUPLICATE of bug 438966
Product: Fedora
Classification: Fedora
Component: k3b (Show other bugs)
rawhide
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Harald Hoyer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-26 05:15 EDT by Joachim Backes
Modified: 2008-03-26 07:38 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-26 07:38:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joachim Backes 2008-03-26 05:15:53 EDT
Description of problem:

I installed this F9 Beta, and then I tried to install K3B without having
installed KDE. This fails because of missing packages:

[root@sunny ~]# yum install k3b
Setting up Install Process
Parsing package install arguments
Resolving Dependencies
--> Running transaction check
---> Package k3b.x86_64 0:1.0.4-6.fc9 set to be updated
--> Processing Dependency: libDCOP.so.4()(64bit) for package: k3b
--> Processing Dependency: libkio.so.4()(64bit) for package: k3b
--> Processing Dependency: libkdeui.so.4()(64bit) for package: k3b
--> Processing Dependency: libartsc.so.0()(64bit) for package: k3b
--> Processing Dependency: libkparts.so.2()(64bit) for package: k3b
--> Processing Dependency: libkdefx.so.4()(64bit) for package: k3b
--> Processing Dependency: libkdecore.so.4()(64bit) for package: k3b
--> Processing Dependency: libdvdread.so.4()(64bit) for package: k3b
--> Processing Dependency: libdbus-qt-1.so.1()(64bit) for package: k3b
--> Processing Dependency: libmpcdec.so.5()(64bit) for package: k3b
---> Package k3b.i386 0:1.0.4-6.fc9 set to be updated
--> Processing Dependency: libtag.so.1 for package: k3b
--> Processing Dependency: libsamplerate.so.0 for package: k3b
--> Processing Dependency: libmpcdec.so.5 for package: k3b
--> Processing Dependency: libqt-mt.so.3 for package: k3b
--> Processing Dependency: libkparts.so.2 for package: k3b
--> Processing Dependency: libdbus-qt-1.so.1 for package: k3b
--> Processing Dependency: libartsc.so.0 for package: k3b
--> Processing Dependency: libsamplerate.so.0(libsamplerate.so.0.0) for package: k3b
--> Processing Dependency: libDCOP.so.4 for package: k3b
--> Processing Dependency: libFLAC++.so.6 for package: k3b
--> Processing Dependency: libkdeui.so.4 for package: k3b
--> Processing Dependency: libkio.so.4 for package: k3b
--> Processing Dependency: libsndfile.so.1(libsndfile.so.1.0) for package: k3b
--> Processing Dependency: libkdefx.so.4 for package: k3b
--> Processing Dependency: libdvdread.so.4 for package: k3b
--> Processing Dependency: libsndfile.so.1 for package: k3b
--> Processing Dependency: libkdecore.so.4 for package: k3b
--> Running transaction check
---> Package qt3.x86_64 0:3.3.8b-11.fc9 set to be updated
---> Package arts.x86_64 8:1.5.9-2.fc9 set to be updated
--> Processing Dependency: libstdc++.so.6(GLIBCXX_3.4.9)(64bit) for package: arts
--> Processing Dependency: libjack.so.0()(64bit) for package: arts
--> Processing Dependency: libaudio.so.2()(64bit) for package: arts
---> Package libsamplerate.i386 0:0.1.2-8.fc9 set to be updated
---> Package taglib.x86_64 0:1.5-1.fc9 set to be updated
---> Package kdelibs3.i386 0:3.5.9-5.fc9 set to be updated
--> Processing Dependency: libutempter.so.0 for package: kdelibs3
--> Processing Dependency: libenchant.so.1 for package: kdelibs3
--> Processing Dependency: libIlmImf.so.6 for package: kdelibs3
--> Processing Dependency: libidn.so.11 for package: kdelibs3
--> Processing Dependency: libqt-mt.so.3 for package: kdelibs3
--> Processing Dependency: kde-filesystem for package: kdelibs3
--> Processing Dependency: libHalf.so.6 for package: kdelibs3
--> Processing Dependency: crystalsvg-icon-theme for package: kdelibs3
--> Processing Dependency: kde-settings >= 3.5 for package: kdelibs3
--> Processing Dependency: libpcre.so.0 for package: kdelibs3
--> Processing Dependency: kdelibs-common for package: kdelibs3
--> Processing Dependency: libkdnssd for package: kdelibs3
--> Processing Dependency: libutempter.so.0(UTEMPTER_1.1) for package: kdelibs3
---> Package libsndfile.x86_64 0:1.0.17-3.fc9 set to be updated
---> Package libsamplerate.x86_64 0:0.1.2-8.fc9 set to be updated
---> Package libsndfile.i386 0:1.0.17-3.fc9 set to be updated
---> Package libmpcdec.i386 0:1.2.6-4.fc9 set to be updated
---> Package dbus-qt.i386 0:0.70-3.fc9 set to be updated
---> Package libdvdread.i386 0:4.1.1-6.fc9 set to be updated
---> Package arts.i386 8:1.5.9-2.fc9 set to be updated
--> Processing Dependency: libjack.so.0 for package: arts
--> Processing Dependency: libaudio.so.2 for package: arts
---> Package libdvdread.x86_64 0:4.1.1-6.fc9 set to be updated
---> Package libmpcdec.x86_64 0:1.2.6-4.fc9 set to be updated
---> Package kdelibs3.x86_64 0:3.5.9-5.fc9 set to be updated
--> Processing Dependency: libIlmImf.so.6()(64bit) for package: kdelibs3
--> Processing Dependency: libHalf.so.6()(64bit) for package: kdelibs3
--> Processing Dependency: libjasper.so.1()(64bit) for package: kdelibs3
---> Package dbus-qt.x86_64 0:0.70-3.fc9 set to be updated
---> Package flac.x86_64 0:1.2.1-4.fc9 set to be updated
--> Running transaction check
---> Package kdeartwork-icons-crystalsvg.x86_64 0:4.0.2-2.fc9 set to be updated
---> Package kde-settings.noarch 0:4.0-14.fc9.1 set to be updated
--> Processing Dependency: oxygen-icon-theme for package: kde-settings
---> Package kdelibs-common.x86_64 6:4.0.2-10.fc9 set to be updated
---> Package kde-filesystem.noarch 0:4-8.fc9 set to be updated
---> Package libstdc++.x86_64 0:4.3.0-3 set to be updated
---> Package qt3.i386 0:3.3.8b-11.fc9 set to be updated
--> Processing Dependency: libmng.so.1 for package: qt3
---> Package libutempter.i386 0:1.1.5-2.fc9 set to be updated
---> Package jasper-libs.i386 0:1.900.1-8.fc9 set to be updated
---> Package libstdc++.i386 0:4.3.0-3 set to be updated
---> Package kdnssd-avahi.i386 0:0.1.3-0.6.20080116svn.fc9 set to be updated
--> Processing Dependency: libavahi-qt3.so.1 for package: kdnssd-avahi
---> Package nas.i386 0:1.9.1-3.fc9 set to be updated
--> Processing Dependency: libXaw.so.7 for package: nas
--> Processing Dependency: libXpm.so.4 for package: nas
--> Processing Dependency: libXmu.so.6 for package: nas
---> Package enchant.x86_64 1:1.3.0-4.fc9 set to be updated
---> Package libidn.x86_64 0:0.6.14-6 set to be updated
---> Package ilmbase.i386 0:1.0.1-2.fc9 set to be updated
---> Package OpenEXR-libs.x86_64 0:1.6.1-3.fc9 set to be updated
---> Package nas.x86_64 0:1.9.1-3.fc9 set to be updated
---> Package jack-audio-connection-kit.x86_64 0:0.109.2-1.fc9.1 set to be updated
--> Processing Dependency: libfreebob.so.0()(64bit) for package:
jack-audio-connection-kit
---> Package OpenEXR-libs.i386 0:1.6.1-3.fc9 set to be updated
---> Package jack-audio-connection-kit.i386 0:0.109.2-1.fc9.1 set to be updated
--> Processing Dependency: libfreebob.so.0 for package: jack-audio-connection-kit
---> Package libutempter.x86_64 0:1.1.5-2.fc9 set to be updated
---> Package pcre.x86_64 0:7.3-3.fc9 set to be updated
---> Package ilmbase.x86_64 0:1.0.1-2.fc9 set to be updated
--> Running transaction check
---> Package oxygen-icon-theme.x86_64 0:4.0.2-4.fc9 set to be updated
---> Package libfreebob.x86_64 0:1.0.7-4.fc9 set to be updated
---> Package libXmu.x86_64 0:1.0.4-1.fc9 set to be updated
---> Package libfreebob.i386 0:1.0.7-4.fc9 set to be updated
--> Processing Dependency: librom1394.so.0 for package: libfreebob
--> Processing Dependency: libraw1394.so.8 for package: libfreebob
--> Processing Dependency: libavc1394.so.0 for package: libfreebob
--> Processing Dependency: libiec61883.so.0 for package: libfreebob
---> Package libmng.x86_64 0:1.0.9-6.1 set to be updated
---> Package avahi-qt3.i386 0:0.6.22-9.fc9 set to be updated
--> Processing Dependency: libmng.so.1 for package: avahi-qt3
---> Package libXpm.x86_64 0:3.5.7-4.fc9 set to be updated
---> Package libXaw.x86_64 0:1.0.4-2.fc9 set to be updated
--> Running transaction check
---> Package libiec61883.x86_64 0:1.1.0-4.fc9 set to be updated
---> Package libraw1394.x86_64 0:1.3.0-4.fc9 set to be updated
---> Package libmng.i386 0:1.0.9-6.1 set to be updated
---> Package libavc1394.x86_64 0:0.5.3-2.fc9 set to be updated
---> Package libavc1394.i386 0:0.5.3-2.fc9 set to be updated
--> Processing Dependency: libraw1394.so.8 for package: libavc1394
--> Running transaction check
---> Package libraw1394.i386 0:1.3.0-4.fc9 set to be updated
--> Finished Dependency Resolution

Dependencies Resolved

=============================================================================
 Package                 Arch       Version          Repository        Size
=============================================================================
Installing:
 k3b                     i386       1.0.4-6.fc9      development        13 M
 k3b                     x86_64     1.0.4-6.fc9      development        13 M
 qt3                     x86_64     3.3.8b-11.fc9    development       3.6 M
     replacing  qt.x86_64 1:3.3.8-11.fc9

Updating:
 enchant                 x86_64     1:1.3.0-4.fc9    development        43 k
 flac                    x86_64     1.2.1-4.fc9      development       292 k
 jasper-libs             i386       1.900.1-8.fc9    development       154 k
 libXaw                  x86_64     1.0.4-2.fc9      development       207 k
 libXmu                  x86_64     1.0.4-1.fc9      development        65 k
 libXpm                  x86_64     3.5.7-4.fc9      development        57 k
 libavc1394              x86_64     0.5.3-2.fc9      development        46 k
 libidn                  x86_64     0.6.14-6         development       211 k
 libiec61883             x86_64     1.1.0-4.fc9      development        37 k
 libmng                  x86_64     1.0.9-6.1        development       163 k
 libraw1394              x86_64     1.3.0-4.fc9      development        43 k
 libsamplerate           x86_64     0.1.2-8.fc9      development       156 k
 libsndfile              x86_64     1.0.17-3.fc9     development       211 k
 libstdc++               x86_64     4.3.0-3          development       309 k
 libstdc++               i386       4.3.0-3          development       315 k
 libutempter             x86_64     1.1.5-2.fc9      development        22 k
 pcre                    x86_64     7.3-3.fc9        development       141 k
 taglib                  x86_64     1.5-1.fc9        development       178 k
Installing for dependencies:
 OpenEXR-libs            x86_64     1.6.1-3.fc9      development       243 k
 OpenEXR-libs            i386       1.6.1-3.fc9      development       250 k
 arts                    x86_64     8:1.5.9-2.fc9    development       1.2 M
 arts                    i386       8:1.5.9-2.fc9    development       1.1 M
 avahi-qt3               i386       0.6.22-9.fc9     development        20 k
 dbus-qt                 i386       0.70-3.fc9       development        33 k
 dbus-qt                 x86_64     0.70-3.fc9       development        33 k
 ilmbase                 i386       1.0.1-2.fc9      development       117 k
 ilmbase                 x86_64     1.0.1-2.fc9      development       117 k
 jack-audio-connection-kit  x86_64     0.109.2-1.fc9.1  development       168 k
 jack-audio-connection-kit  i386       0.109.2-1.fc9.1  development       171 k
 kde-filesystem          noarch     4-8.fc9          development        17 k
 kde-settings            noarch     4.0-14.fc9.1     development        24 k
 kdeartwork-icons-crystalsvg  x86_64     4.0.2-2.fc9      development        10 M
 kdelibs-common          x86_64     6:4.0.2-10.fc9   development       185 k
 kdelibs3                i386       3.5.9-5.fc9      development        12 M
 kdelibs3                x86_64     3.5.9-5.fc9      development        12 M
 kdnssd-avahi            i386       0.1.3-0.6.20080116svn.fc9  development     
  45 k
 libavc1394              i386       0.5.3-2.fc9      development        45 k
 libdvdread              i386       4.1.1-6.fc9      development        51 k
 libdvdread              x86_64     4.1.1-6.fc9      development        51 k
 libfreebob              x86_64     1.0.7-4.fc9      development       161 k
 libfreebob              i386       1.0.7-4.fc9      development       162 k
 libmng                  i386       1.0.9-6.1        development       170 k
 libmpcdec               i386       1.2.6-4.fc9      development        27 k
 libmpcdec               x86_64     1.2.6-4.fc9      development        26 k
 libraw1394              i386       1.3.0-4.fc9      development        43 k
 libsamplerate           i386       0.1.2-8.fc9      development       156 k
 libsndfile              i386       1.0.17-3.fc9     development       227 k
 libutempter             i386       1.1.5-2.fc9      development        22 k
 nas                     i386       1.9.1-3.fc9      development       656 k
 nas                     x86_64     1.9.1-3.fc9      development       660 k
 oxygen-icon-theme       x86_64     4.0.2-4.fc9      development        11 M
 qt3                     i386       3.3.8b-11.fc9    development       3.6 M

Transaction Summary
=============================================================================
Install     37 Package(s)
Update      18 Package(s)
Remove       0 Package(s)

Total download size: 87 M
Is this ok [y/N]: y
Downloading Packages:
Running rpm_check_debug
ERROR with rpm_check_debug vs depsolve:
Package k3b needs libFLAC++.so.6, this is not available.
Package k3b needs libtag.so.1, this is not available.
Package kdelibs3 needs libenchant.so.1, this is not available.
Package kdelibs3 needs libidn.so.11, this is not available.
Package kdelibs3 needs libpcre.so.0, this is not available.
Package libfreebob needs libiec61883.so.0, this is not available.
Package nas needs libXaw.so.7, this is not available.
Package nas needs libXmu.so.6, this is not available.
Package nas needs libXpm.so.4, this is not available.
Package kdelibs3 needs libjasper.so.1()(64bit), this is not available.
Complete! 
Version-Release number of selected component (if applicable):

F9 Beta.

How reproducible:


Steps to Reproduce:
1. yum install k3b
2.
3.
  
Actual results:

Cannot install K3B
Expected results:

K3B is insstalled
Additional info:
Comment 1 Rex Dieter 2008-03-26 07:38:45 EDT
looks like a yum issue (bug #438966 already reported)

*** This bug has been marked as a duplicate of 438966 ***

Note You need to log in before you can comment on or make changes to this bug.